Please support VectorLinux!

Author Topic: TV-Player  (Read 2035 times)

Alb

  • Member
  • *
  • Posts: 74
TV-Player
« on: February 24, 2011, 01:45:51 pm »
Hello,
I downloaded this application: tv-player-gtk_1.0.5.tar.gz from: https://launchpad.net/tv-player , opened the archive obtaining these files and directories:

vector:/~/Downloads/tvplayer-1.0.5
alberto:$ ls -l
total 64
drwxr-xr-x 2 alberto alberto    29 2011-02-22 21:41 application/
drwxr-x--- 2 alberto alberto  4096 2011-02-22 21:41 atom/
drwxr-xr-x 2 alberto alberto  4096 2011-02-22 21:41 doc/
drwxr-x--- 7 alberto alberto  4096 2011-02-22 21:41 gdata/
-rwxr-xr-x 1 alberto alberto   165 2009-12-30 21:16 la7.sh*
drwxr-xr-x 2 alberto alberto   119 2011-02-22 21:41 libmimms/
drwxr-xr-x 2 alberto alberto  4096 2011-02-22 21:41 libradiotv/
-rwxr-xr-x 1 alberto alberto 30300 2010-03-03 21:05 main-gtk.py*
drwxr-xr-x 3 alberto alberto   100 2011-02-22 21:41 pixmaps/
drwxr-xr-x 5 alberto alberto    90 2011-02-22 21:41 po/
-rw-r--r-- 1 alberto alberto   391 2010-01-13 23:34 regioni.list
-rwxrwxrwx 1 alberto alberto  2238 2010-01-15 22:14 setup.py*
-rwxr-xr-x 1 alberto alberto    61 2009-12-30 21:16 tv-player*
drwxr-xr-x 2 alberto alberto   105 2011-02-22 21:41 ui/

I tried to install it (on my VL 6.0 Light) by launching setup.py but unsuccessfully.
Can you let me know the right procedure?
Best Regards
 

|nic|

  • Packager
  • Vectorite
  • ****
  • Posts: 162
    • My Blog
Re: TV-Player
« Reply #1 on: February 24, 2011, 02:19:31 pm »
Hi Alb,

If you want to run the program without installing, yo can just do

Code: [Select]
./tv-player
if you want to install, first become root and then

Code: [Select]
python ./setup.py
hope this helps

cheers

nicdm
registered user #393337

Desktop AMD E6 / 8 gb ram / 120 GB SSD / 500 gb HD / VL7

Samsung NP110 / VL7.1 Std

budulay

  • Packager
  • Vectorian
  • ****
  • Posts: 568
  • NewComer
Re: TV-Player
« Reply #2 on: February 24, 2011, 02:45:52 pm »
Unfortunately, README for that application is in a language I don't speak.

I tried following as root:
python setup.py build
python setup.py install

It installs, but at runtime it complains about main-gtk.py not being there(/usr/share/tv-player).
So I put it there manually.
Now it complains about something else missing.

Not sure what else to do...


ADDED:
The "something else" I mentioned is pygst.
You can google it to figure out what the heck it is. It might be related to this:
http://gstreamer.freedesktop.org/modules/gst-python.html
« Last Edit: February 25, 2011, 01:17:15 pm by budulay »
VL6.0-Light@MSI MS-1652(AMD TurionX2 ZM-84 2300 MHZ, 4 GB RAM, 250 GB HDD, Nvidia GForce 9600M GT, GIGABYTE AirCruiser N300)
Registered Linux user #473602
SlackBuild Repository for VL7.Not much but it's a start. Join in!

Alb

  • Member
  • *
  • Posts: 74
Re: TV-Player
« Reply #3 on: February 25, 2011, 02:32:56 am »
Hello,
In the meantine I have tried this: ./tv-player and obtained:

alberto:$ ./tv-player
./tv-player: line 2: cd: /usr/share/tvplayer: No such file or directory
Traceback (most recent call last):
  File "main-gtk.py", line 25, in <module>
    import pygst
ImportError: No module named pygst

As for gstreamer I want to take a look around, just, if needed, to install it, unfortunately I am an absolute beginner in such things.

Thanks a lot,
Alberto
P.S. I wanted to use TV-Player just to get round the need to install moonlight just to listen to, later, radio broadcasting from the site of RAI (Italian Broaadcasting Corporation). In fact, some time ago I could do that by means of Firefox and Mplayer, but now they changed procedure and you are obliged to install MS Silverlight and for Linux users Moonlight + MS media pack (codecs). At first I did that, but I was continuously requested to install those codecs even if they were already successfully installed (!?). Perhaps there is a bug in their program.

Alb

  • Member
  • *
  • Posts: 74
Re: TV-Player
« Reply #4 on: February 28, 2011, 01:36:21 pm »
Hello,
I was told that, in order to make TV-Player work I have to install all these dependencies: phython (>=2.6), pygtk, flvstreamer, libmms0, gst-base, gst-good, gst-bad, gst-ugly, python-gst (this should be gst-python, instead, I think). I have some of them, but I'm still missing python 2.6, flvstreamer, libmms0.
Besides I don't know if I really need gstreamer, that I previously installed.
Any suggestions?
Best Regards

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3208
Re: TV-Player
« Reply #5 on: February 28, 2011, 01:44:11 pm »
you need to make sure you have gst-python installed, and yes... of course, python.